petsc-3.12.4 2020-02-04
Report Typos and Errors

# KSPMonitorSNES

Print the residual norm of the nonlinear function at each iteration of the linear iterative solver.

### Synopsis

    #include "petsc/private/snesimpl.h"
    PetscErrorCode  KSPMonitorSNES(KSP ksp,PetscInt n,PetscReal rnorm,void *dummy)

Collective on KSP

### Input Parameters

| ksp | - iterative context
| n | - iteration number
| rnorm | - 2-norm (preconditioned) residual value (may be estimated).
| dummy | - unused monitor context

### See Also

KSPMonitorSet(), KSPMonitorTrueResidualNorm(), KSPMonitorLGResidualNormCreate()

### Level

intermediate

### Location

src/snes/interface/snesut.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages